#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x593e1bdc, "i2c_register_driver" },
	{ 0x216ab728, "regmap_field_read" },
	{ 0x2a13cdbd, "iio_get_time_ns" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5df01171, "regmap_bulk_write" },
	{ 0xd1005013, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6cf4307e, "regmap_bulk_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8f02a04, "i2c_del_driver" },
	{ 0xce0cf4ee, "regmap_field_update_bits_base" },
	{ 0x58addc71, "regulator_enable" },
	{ 0x763e04b6, "regcache_sync" },
	{ 0x5194d29c, "regulator_disable" },
	{ 0x41fb8fa8, "iio_device_unregister" },
	{ 0xd0e50350, "iio_push_event" },
	{ 0x7b721cf6, "devm_iio_device_alloc" },
	{ 0x7a3ee44f, "device_property_read_u32_array" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x262d11e6, "devm_regulator_get_optional" },
	{ 0xee276765, "devm_regulator_get" },
	{ 0xdc154082, "__devm_regmap_init_i2c" },
	{ 0x6e65c568, "devm_regmap_field_alloc" },
	{ 0x3eef6dbb, "regmap_read" },
	{ 0xb2214cad, "devm_request_threaded_irq" },
	{ 0x1c6aa114, "__iio_device_register" },
	{ 0xda394c99, "dev_err_probe" },
	{ 0xa8319e41, "regcache_mark_dirty" },
	{ 0x154c5f34, "iio_read_const_attr" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio");

MODULE_ALIAS("of:N*T*Csensortek,stk3310");
MODULE_ALIAS("of:N*T*Csensortek,stk3310C*");
MODULE_ALIAS("of:N*T*Csensortek,stk3311");
MODULE_ALIAS("of:N*T*Csensortek,stk3311C*");
MODULE_ALIAS("of:N*T*Csensortek,stk3335");
MODULE_ALIAS("of:N*T*Csensortek,stk3335C*");
MODULE_ALIAS("acpi*:STK3310:*");
MODULE_ALIAS("acpi*:STK3311:*");
MODULE_ALIAS("acpi*:STK3335:*");
MODULE_ALIAS("i2c:STK3310");
MODULE_ALIAS("i2c:STK3311");
MODULE_ALIAS("i2c:STK3335");
